import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.NoResultException;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public long queryEmpSalary(String deptName, String empName) {
    String query = "SELECT e.salary " + "FROM Professor e " + "WHERE e.department.name = '"
        + deptName + "' AND " + " e.name = '" + empName + "'";
    try {
      return (Long) em.createQuery(query).getSingleResult();
    } catch (NoResultException e) {
      return 0;
    }
  }

  public long queryEmpSalaryUsingParams(String deptName, String empName) {
    try {
      return (Long) em.createQuery(
          "SELECT e.salary " + "FROM Professor e " + "WHERE e.department.name = :deptName AND "
              + " e.name = :empName ").setParameter("deptName", deptName).setParameter("empName",
          empName).getSingleResult();
    } catch (NoResultException e) {
      return 0;
    }
  }

}
